com.verisign.epp.pool

## Class ClientTransIdGenerator

- java.lang.Object
- - com.verisign.epp.pool.ClientTransIdGenerator

- All Implemented Interfaces:
    EPPClientTransIdGenerator

      public class ClientTransIdGenerator
      extends java.lang.Object
      implements EPPClientTransIdGenerator

  Client transaction identifier generator that is used to generate a client transaction identifier when creating or terminating sessions in the session pool. The format of the client transaction identifier is <prefix>'-'<epoch time>'-'<random>, where the default <prefix> is "SAMPLE".

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientTransIdGenerator()` Default constructor.
    `ClientTransIdGenerator(java.lang.String aPrefix)` Constructor that takes the client transaction identifier prefix to use.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `genClientTransId()` Generates a sample client transaction identifier with the format <prefix>'-'<epoch time>'-'<random> that is clipped to the maximum 64 characters if needed.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientTransIdGenerator

          public ClientTransIdGenerator()

      Default constructor.

    - #### ClientTransIdGenerator

          public ClientTransIdGenerator(java.lang.String aPrefix)

      Constructor that takes the client transaction identifier prefix to use. The sample format will be <prefix>'-'<epoch time>'-'<random>.
      Parameters:
        `aPrefix` - Prefix to use for the client transaction identifier

  - ### Method Detail

    - #### genClientTransId

          public java.lang.String genClientTransId()

      Generates a sample client transaction identifier with the format <prefix>'-'<epoch time>'-'<random> that is clipped to the maximum 64 characters if needed.
      Specified by:
        `genClientTransId` in interface `EPPClientTransIdGenerator`
      Returns:
        Generated client transaction identifier